Refresh the access token (rotating refresh secret + DPoP proof)
POST
/v1/devices/token
const url = 'https://app.skillpouch.net/v1/devices/token';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"refresh_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.skillpouch.net/v1/devices/token \ --header 'Content-Type: application/json' \ --data '{ "refresh_token": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
refresh_token
required
string
Example generated
{ "refresh_token": "example"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
ok
required
boolean
data
required
object
token_type
required
string
access_token
required
string
expires_in
required
integer
refresh_token
required
string
device_id
required
string format: uuid
storage_account_id
required
string format: uuid
meta
required
object
request_id
required
string
next_cursor
string | null
Example
{ "ok": true, "data": { "token_type": "DPoP" }}